> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# MCPサーバーを一覧表示

GET https://api.elevenlabs.io/v1/convai/mcp-servers

ワークスペースで利用可能なすべてのMCPサーバー設定を取得します。

Reference: https://elevenlabs.io/docs/api-reference/mcp/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Response

### 200

成功レスポンス。

- `mcp_servers` (list of MCPServerResponseModel, required)

## Errors

### 422 Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### MCPServerResponseModel

MCPサーバー設定を表すレスポンスモデル。

- `id` (string, required)
- `config` (MCPServerConfig-Output, required)
- `metadata` (MCPServerMetadataResponseModel, required) — MCPサーバーのメタデータ。
- `access_info` (ResourceAccessInfo, optional, nullable) — MCPサーバーのアクセス情報。
- `dependent_agents` (list of McpServerResponseModelDependentAgentsItems, optional) — このMCPサーバーに依存するエージェントのリスト。

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### MCPServerConfig-Output

- `url` (McpServerConfigOutputUrl, required) — MCPサーバーのURLです。シークレットが含まれる場合はワークスペースシークレットとして保存し、それ以外の場合はプレーン文字列として保存してください。httpsを使用する必要があります。
- `name` (string, required)
- `approval_policy` (enum, optional, default: require_approval_all) — ツール実行に関するMCPサーバーレベルの承認ポリシーを定義します。
  - Allowed values: `auto_approve_all`, `require_approval_all`, `require_approval_per_tool`
- `tool_approval_hashes` (list of MCPToolApprovalHash, optional) — approval_policyがREQUIRE_APPROVAL_PER_TOOLの場合にツールごとの承認に使用するツール承認ハッシュのリスト
- `transport` (enum, optional, default: SSE) — MCPサーバーへの接続に使用するトランスポートタイプ
  - Allowed values: `SSE`, `STREAMABLE_HTTP`
- `secret_token` (McpServerConfigOutputSecretToken, optional, nullable) — ワークスペースシークレットまたはインプレースシークレットとして保存されるシークレットトークン（Authorizationヘッダー）
- `request_headers` (map from string to McpServerConfigOutputRequestHeaders, optional) — リクエストに含まれるヘッダー
- `request_meta` (map from string to McpServerConfigOutputRequestMeta, optional) — tools/callリクエストのMCP `_meta`フィールドで送信されるエントリです。値にはJSONスカラー、または呼び出しごとに解決されるワークスペースシークレット、動的変数、環境変数への参照を指定できます。
- `auth_connection` (McpServerConfigOutputAuthConnection, optional, nullable) — このMCPサーバーの認証に使用する任意の認証接続
- `description` (string, optional, default: )
- `pre_tool_speech` (enum, optional, default: auto) — このツールを呼び出す前にエージェントが話すかどうかを制御します。'auto'（デフォルト）は直近のツールレイテンシーに基づいて判断し、'force'は常にエージェントに話すよう求め、'off'はレイテンシーにかかわらず完全に無効化します。ツールごとに上書きされない限り、このMCPサーバーのすべてのツールに適用されます。
  - Allowed values: `auto`, `force`, `off`
- `interruption_mode` (enum, optional, default: allow) — このツール呼び出し中にユーザーがエージェントを中断できるかどうかを制御します。'allow'（デフォルト）はユーザーによる中断をいつでも許可します。'disable_during_tool'はツールの実行中のみ中断を抑制し、'disable_during_tool_and_turn'はツールの実行中と、その後に続くエージェントの応答中に中断を抑制します。ツールごとに上書きされない限り、このMCPサーバーのすべてのツールに適用されます。
  - Allowed values: `allow`, `disable_during_tool`, `disable_during_tool_and_turn`
- `tool_call_sound` (enum, optional, nullable) — このMCPサーバーのすべてのツールで、ツール実行中に再生する定義済みツール呼び出しサウンドの種類。
  - Allowed values: `typing`, `elevator1`, `elevator2`, `elevator3`, `elevator4`
- `tool_call_sound_behavior` (enum, optional, default: auto) — このMCPサーバーのすべてのツールで、ツール呼び出し音をいつ再生するかを決定します。
  - Allowed values: `auto`, `always`
- `execution_mode` (enum, optional, default: immediate) — このMCPサーバーのすべてのツールをいつ、どのように実行するかを決定します。'immediate'はLLMから要求されるとすぐにツールを実行し、'post_tool_speech'はエージェントが話し終えるまで待ってから実行し、'async'はブロックせずにバックグラウンドでツールを実行します。長時間の処理に最適です。
  - Allowed values: `immediate`, `post_tool_speech`, `async`
- `response_timeout_secs` (integer, optional, default: 30) — 各MCPツール呼び出しの完了を待機する最大時間（秒）。5秒から300秒の範囲で指定します（両端を含む）。
- `tool_config_overrides` (list of MCPToolConfigOverride-Output, optional) — 特定のツールに対するサーバーレベルのデフォルト設定を上書きする、ツールごとの設定オーバーライドのリスト
- `disable_compression` (boolean, optional, default: false) — このMCPサーバーでHTTP圧縮を無効にするかどうか。サーバーが圧縮レスポンスをサポートしていない場合は有効にしてください。
- `force_pre_tool_speech` (boolean, optional, default: false, deprecated) — 非推奨：代わりに`pre_tool_speech`を使用してください。trueの場合、このMCPサーバーのすべてのツールでツール実行前の発話が必要になります。
- `disable_interruptions` (boolean, optional, default: false, deprecated) — 非推奨：代わりに`interruption_mode`を使用してください。trueの場合、このMCPサーバーのいずれかのツールが実行中は、ユーザーはエージェントを中断できません。

### MCPServerMetadataResponseModel

- `created_at` (integer, required)
- `owner_user_id` (string, optional, nullable)

### ResourceAccessInfo

- `is_creator` (boolean, required) — リクエストを行うユーザーがエージェントの作成者かどうか
- `creator_name` (string, required) — エージェント作成者の名前
- `creator_email` (string, required) — エージェント作成者のメールアドレス
- `role` (enum, required) — リクエストを行うユーザーのロール
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `anonymous_access_level_override` (enum, optional, nullable) — 匿名ユーザーのアクセスレベル。Noneの場合、このリソースは公開共有されません。
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `access_source` (enum, optional, nullable) — リクエストしたユーザーがこのリソースにアクセスできる理由。'creator'＝呼び出し元がオーナーです。'explicit'＝呼び出し元（またはそのワークスペースグループのいずれか）が、ワークスペース全体のeveryoneグループ以外としてrole_to_group_idsに記載されています。'workspace_default'＝ワークスペース全体のeveryoneグループがrole_to_group_idsに記載されています（管理者を含む、匿名ではないすべてのワークスペースメンバーがこのリソースを閲覧できます）。'workspace_admin'＝呼び出し元がワークスペース管理者であり、管理者シートがアクセスする*唯一*の経路です。これは他の誰も閲覧できないドキュメント用に予約されています。管理者バイパスの閲覧者が明示的に共有されていないドキュメントを閲覧できる理由をUIで表示できます。
  - Allowed values: `creator`, `explicit`, `workspace_admin`, `workspace_default`

### McpServerResponseModelDependentAgentsItems

- `type`: `available` (DependentAvailableAgentIdentifier)
  - `access_level` (enum, required)
    - Allowed values: `admin`, `editor`, `commenter`, `viewer`
  - `created_at_unix_secs` (integer, required)
  - `id` (string, required)
  - `name` (string, required)
  - `referenced_resource_ids` (list of string, optional) — エージェントが推移的な依存先である場合、エージェントが直接依存するリソースのIDを含みます。
- `type`: `unknown` (DependentUnknownAgentIdentifier)
  - `id` (string, required)
  - `referenced_resource_ids` (list of string, optional) — エージェントが推移的な依存先である場合、エージェントが直接依存するリソースのIDを含みます。

### ValidationErrorLocItems

### McpServerConfigOutputUrl

MCPサーバーのURLです。シークレットが含まれる場合はワークスペースシークレットとして保存し、それ以外の場合はプレーン文字列として保存してください。httpsを使用する必要があります。

### MCPToolApprovalHash

ツールごとの承認用にツール承認ハッシュを保存するモデル。

- `tool_name` (string, required) — MCPツールの名前。
- `tool_hash` (string, required) — ツールのパラメータと説明のSHA256ハッシュ
- `approval_policy` (enum, optional, default: requires_approval) — このツールの承認ポリシー。
  - Allowed values: `auto_approved`, `requires_approval`

### McpServerConfigOutputSecretToken

ワークスペースシークレットまたはインプレースシークレットとして保存されるシークレットトークン（Authorizationヘッダー）

### McpServerConfigOutputRequestHeaders

### McpServerConfigOutputRequestMeta

### McpServerConfigOutputAuthConnection

このMCPサーバーの認証に使用する任意の認証接続

### MCPToolConfigOverride-Output

- `tool_name` (string, required) — MCPツールの名前。
- `pre_tool_speech` (enum, optional, nullable, default: auto) — 設定すると、このツールのサーバー側pre_tool_speech設定を上書きします。
  - Allowed values: `auto`, `force`, `off`
- `interruption_mode` (enum, optional, nullable, default: allow) — 設定すると、このツールのサーバー側interruption_mode設定を上書きします。
  - Allowed values: `allow`, `disable_during_tool`, `disable_during_tool_and_turn`
- `tool_call_sound` (McpToolConfigOverrideOutputToolCallSound, optional, nullable) — このツールのサーバー側tool_call_sound設定をオーバーライドします。サウンド名を指定するとそのサウンドを再生し、'off'を指定すると無音にオーバーライドします。nullはオーバーライドしないこと（サーバーのデフォルトを継承）を意味します。
- `tool_call_sound_behavior` (enum, optional, nullable, default: auto) — 設定すると、このツールのサーバー側tool_call_sound_behavior設定を上書きします
  - Allowed values: `auto`, `always`
- `execution_mode` (enum, optional, nullable, default: immediate) — 設定すると、このツールのサーバー側execution_mode設定を上書きします
  - Allowed values: `immediate`, `post_tool_speech`, `async`
- `response_timeout_secs` (integer, optional, nullable) — 設定すると、このMCPツールのサーバー側応答タイムアウト（秒）を上書きします。
- `assignments` (list of DynamicVariableAssignment, optional) — このMCPツールの動的変数の割り当て
- `input_overrides` (map from string to McpToolConfigOverrideOutputInputOverrides, optional, nullable) — jsonパスから入力オーバーライド設定へのマッピング
- `response_mocks` (list of ToolResponseMockConfig-Output, optional, nullable) — オプションのパラメータ条件を持つモック応答。上から順に評価され、最初に一致したものが使用されます。
- `force_pre_tool_speech` (boolean, optional, nullable, deprecated) — 非推奨：代わりに`pre_tool_speech`を使用してください。設定すると、このツールに対するサーバーのforce_pre_tool_speech設定を上書きします。
- `disable_interruptions` (boolean, optional, nullable, deprecated) — 非推奨：代わりに`interruption_mode`を使用してください。設定すると、このツールに対するサーバーのdisable_interruptions設定を上書きします。

### ConvAISecretLocator

エージェントのシークレットストア内のシークレットを参照するために使用します。

- `secret_id` (string, required)

### ConvAIUserSecretDBModel

ワークスペース内の他のユーザーと共有されない、ユーザー固有のシークレットモデル。

- `name` (string, required)
- `encrypted_value` (string, required)
- `nonce` (string, required)
- `id` (string, required)

### ConvAIDynamicVariable

動的変数を参照するために使用します。

- `variable_name` (string, required)

### ConvAIEnvVarLocator

ラベルで環境変数を参照するために使用します。

- `env_var_label` (string, required)

### AuthConnectionLocator

ワークスペースの認証接続ストア内の認証接続を参照するために使用します。

- `auth_connection_id` (string, required)

### EnvironmentAuthConnectionLocator

ラベルで'auth_connection'型の環境変数を参照します。実行時には現在の環境の認証接続に解決され、該当しない場合はデフォルト環境にフォールバックします。

- `env_var_label` (string, required)

### McpToolConfigOverrideOutputToolCallSound

このツールのサーバー側tool_call_sound設定をオーバーライドします。サウンド名を指定するとそのサウンドを再生し、'off'を指定すると無音にオーバーライドします。nullはオーバーライドしないこと（サーバーのデフォルトを継承）を意味します。

### DynamicVariableAssignment

ツールレスポンスから値を抽出し、動的変数に割り当てるための設定。

- `dynamic_variable` (string, required) — 抽出した値を割り当てる動的変数の名前。
- `value_path` (string, required) — ソースから値を抽出するドット記法のパス（例：'user.name'または'data.0.id'）
- `source` ("response", optional, default: response) — 値の抽出元。現在は「response」のみをサポートしています。
- `sanitize` (boolean, optional, default: false) — trueの場合、この割り当ての値はLLMと文字起こしに送信する前にツール応答から削除されますが、変数の割り当てには引き続き使用されます。
- `preserve_native_type` (boolean, optional, default: false) — trueの場合、ツール応答から抽出された非スカラー値（リスト、オブジェクト）は、JSON文字列に変換せずネイティブ型のまま保存されます。抽出した配列をリスト動的変数として直接使用するには有効にしてください。

### McpToolConfigOverrideOutputInputOverrides

- `source`: `constant` (ConstantSchemaOverride)
  - `constant_value` (WorkflowToolLocatorSchemaOverridesDiscriminatorMappingConstantConstantValue, required, nullable) — 使用する定数値
- `source`: `dynamic_variable` (DynamicVariableSchemaOverride)
  - `dynamic_variable` (string, required) — 使用する動的変数の名前。
- `source`: `llm` (LLMSchemaOverride)
  - `prompt` (string, optional, nullable) — LLMのプロンプトオーバーライド。指定しない場合は、元のスキーマの説明が使用されます。
- `source`: `omit` (OmitSchemaOverride)

### ToolResponseMockConfig-Output

- `mock_result` (string, required) — このモックが有効な場合にLLMが受け取る戻り値。
- `parameter_conditions` (list of UnitTestToolCallParameter, optional) — リストが空の場合、モックは常に有効になります。
- `is_error` (boolean, optional, default: false) — trueの場合、モック結果は成功結果ではなくツールエラーとしてLLMに渡されます。

### WorkflowToolLocatorSchemaOverridesDiscriminatorMappingConstantConstantValue

使用する定数値

### UnitTestToolCallParameter

- `eval` (UnitTestToolCallParameterEval, required)
- `path` (string, required)

### UnitTestToolCallParameterEval

- `type`: `anything` (MatchAnythingParameterEvaluationStrategy)
- `type`: `exact` (ExactParameterEvaluationStrategy)
  - `expected_value` (string, required) — パラメータが一致する必要がある正確な文字列値。
- `type`: `llm` (LLMParameterEvaluationStrategy)
  - `description` (string, required) — テストで使用する評価戦略の説明です。
- `type`: `regex` (RegexParameterEvaluationStrategy)
  - `pattern` (string, required) — エージェントの応答と照合する正規表現パターン。

## Examples

**Response**

```json
{
  "mcp_servers": [
    {
      "id": "string",
      "config": {
        "url": "string",
        "name": "string",
        "approval_policy": "require_approval_all",
        "tool_approval_hashes": [
          {
            "tool_name": "string",
            "tool_hash": "string",
            "approval_policy": "requires_approval"
          }
        ],
        "transport": "SSE",
        "secret_token": {
          "secret_id": "string"
        },
        "request_headers": {},
        "request_meta": {},
        "auth_connection": {
          "auth_connection_id": "string"
        },
        "description": "",
        "pre_tool_speech": "auto",
        "interruption_mode": "allow",
        "tool_call_sound": "typing",
        "tool_call_sound_behavior": "auto",
        "execution_mode": "immediate",
        "response_timeout_secs": 30,
        "tool_config_overrides": [
          {
            "tool_name": "string",
            "pre_tool_speech": "auto",
            "interruption_mode": "allow",
            "tool_call_sound": "typing",
            "tool_call_sound_behavior": "auto",
            "execution_mode": "immediate",
            "response_timeout_secs": 1,
            "assignments": [
              {
                "dynamic_variable": "string",
                "value_path": "string",
                "source": "response",
                "sanitize": false,
                "preserve_native_type": false
              }
            ],
            "input_overrides": {},
            "response_mocks": [
              {
                "mock_result": "string",
                "parameter_conditions": [
                  {
                    "eval": {
                      "description": "string",
                      "type": "string"
                    },
                    "path": "string"
                  }
                ],
                "is_error": false
              }
            ],
            "force_pre_tool_speech": true,
            "disable_interruptions": true
          }
        ],
        "disable_compression": false,
        "force_pre_tool_speech": false,
        "disable_interruptions": false
      },
      "metadata": {
        "created_at": 1,
        "owner_user_id": "string"
      },
      "access_info": {
        "is_creator": true,
        "creator_name": "John Doe",
        "creator_email": "john.doe@example.com",
        "role": "admin",
        "access_source": "creator"
      },
      "dependent_agents": [
        {
          "type": "available",
          "access_level": "admin",
          "created_at_unix_secs": 1,
          "id": "string",
          "name": "string",
          "referenced_resource_ids": [
            "string"
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/mcp-servers"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/mcp-servers';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/mcp-servers"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/mcp-servers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/mcp-servers")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/mcp-servers');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/mcp-servers");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/mcp-servers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```